Bug Hunting Session
Bug 77667 - Remove gcc3 workaround where it could handle instantiated objects as parameters
Summary: Remove gcc3 workaround where it could handle instantiated objects as parameters
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:5.3.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2014-04-19 09:42 UTC by Chris Sherlock
Modified: 2017-02-14 08:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Sherlock 2014-04-19 09:42:10 UTC
It appears from previous commit log entries that GCC 3.3 and below had problems handling instantiated objects as parameters e.g. Draw(Point(), parameter2).

This is no longer a problem, and in fact there is code all over the place that already doesn't bother with the workaround, which was to declare a temporary variable, instantiate into this and then use this variable. 

We should get rid of this workaround code.
Comment 1 Chris Sherlock 2014-04-19 09:43:31 UTC
Commit 52f296ac1a77cded6d4318a5f5d13bbf1c4f6877 submitted to fix this in VCL:

http://cgit.freedesktop.org/libreoffice/core/commit/vcl?id=52f296ac1a77cded6d4318a5f5d13bbf1c4f6877
Comment 2 Chris Sherlock 2014-04-19 09:44:42 UTC
Thomas Arnold has committed a change to fix this also:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3176bfdc3a872114d290e2de3cc19f30d9e70b88
Comment 3 Commit Notification 2014-04-19 11:27:38 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=896526dec395e679f4145428328b690b0c81df52

fdo#77667 Remove gcc3 workaround



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Chris Sherlock 2016-01-03 01:49:59 UTC
Adding keywords: difficultyBeginner, easyHack, skillCpp
Comment 5 jani 2016-02-17 07:28:46 UTC
Removing assigned as it is not.
Comment 6 Commit Notification 2016-07-06 09:55:26 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50094d8f8eb7067009c3e9a86053d82e4c0af739

tdf#77667 Remove gcc3 workaround

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 jani 2016-07-07 06:52:07 UTC
Seems solved